This code implements OSM API 0.5; what do you need to install it.

1) The SVN version of the Cherokee Webserver
svn co svn://svn.cherokee-project.com/cherokee/trunk cherokee

2) A version of MonetDB, I use the CVS version
https://sourceforge.net/projects/monetdb/

3) A compiler

After you have installed cherokee to /opt/cherokee. And MonetDB to
/opt/monetdb (keep in mind that the data directory is:
/opt/monetdb/var/MonetDB5 have enough size, or make a symlink).

First run:
sh cherokee-includes.sh << cherokee source dir >> << /opt/cherokee >>
(this will fix ever include issue, since we use some low level functionality
outside of the tree)

Now you can safely hit make && make install.


The Cherokee configuration can be done in the Cherokee webinterface. The file based output looks like:

vserver!10!rule!400!handler = osm
vserver!10!rule!400!handler!db_hostname = 127.0.0.1
vserver!10!rule!400!handler!db_name = demo
vserver!10!rule!400!handler!db_password = monetdb
vserver!10!rule!400!handler!db_port = 50000
vserver!10!rule!400!handler!db_username = monetdb
vserver!10!rule!400!handler!read_only = 1

Start: /opt/monetdb/bin/mserver5 --dbinit="include sql;"

Look at download.sh and see if it fits your needs if so, start it.

Start: /opt/cherokee/sbin/cherokee


With a bit of luck you can access the api using:
http://127.0.0.1/api/0.5


Bugs:

Writing using the old (way/relation approach, is still to be tested, depends on the previous bug)
